org.w3._2000._09.xmldsig

## Class SignatureValue

- java.lang.Object
- - org.w3._2000._09.xmldsig.SignatureValue

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-09-05T10:48:06+02:00",
                 comments="JAXB RI v2.3.7")
      public class SignatureValue
      extends Object
      implements Serializable

  Java class for SignatureValueType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SignatureValueType">
         <simpleContent>
           <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </extension>
         </simpleContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignatureValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `byte[]` | `getValue()` Gets the value of the value property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setValue(byte[] value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignatureValue

          public SignatureValue()

  - ### Method Detail

    - #### getValue

          public byte[] getValue()

      Gets the value of the value property.
      Returns:
        possible object is byte[]

    - #### setValue

          public void setValue(byte[] value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is byte[]

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging TECHNICAL 4.6.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.